Home

# Class goog.events.FocusHandler

This event handler allows you to catch focus events when descendants gain or loses focus.

extends goog.events.EventTarget

Instance Method Summary

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `handleEvent(?goog.events.BrowserEvent e)` This handles the underlying events and dispatches a new event.